# View access key list

* method: `query`
* params:
  * `request_type`: `view_access_key_list`
  * [`finality`](https://docs.near.org/api/rpc/setup#using-finality-param) *OR* [`block_id`](https://docs.near.org/api/rpc/setup#using-block_id-param)
  * `account_id`: *`"example.testnet"`*

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl  https://near.blockpi.network/v1/rpc/your-rpc-key -X POST -H "Content-Type: application/json" 
--data 
'{
  "jsonrpc": "2.0",
  "id": "dontcare",
  "method": "query",
  "params": {
    "request_type": "view_access_key_list",
    "finality": "final",
    "account_id": "example.testnet"
  }
}'

// Result
{
  "jsonrpc": "2.0",
  "result": {
    "keys": [
      {
        "public_key": "ed25519:2j6qujbkPFuTstQLLTxKZUw63D5Wu3SG79Gop5JQrNJY",
        "access_key": {
          "nonce": 17,
          "permission": {
            "FunctionCall": {
              "allowance": "9999203942481156415000",
              "receiver_id": "place.meta",
              "method_names": []
              ......
```

{% endcode %}
